Package org.eclipse.rdf4j.federated.evaluation.iterator

## Class IndependentJoingroupBindingsIteration

- java.lang.Object
- - org.eclipse.rdf4j.common.iteration.AbstractCloseableIteration<E,​X>
  - - org.eclipse.rdf4j.common.iteration.LookAheadIteration<BindingSet,​QueryEvaluationException>
    - - org.eclipse.rdf4j.federated.evaluation.iterator.IndependentJoingroupBindingsIteration

- All Implemented Interfaces:
    `AutoCloseable`, `CloseableIteration<BindingSet,​QueryEvaluationException>`, `Iteration<BindingSet,​QueryEvaluationException>`

      public class IndependentJoingroupBindingsIteration
      extends LookAheadIteration<BindingSet,​QueryEvaluationException>

  Inserts original bindings into the result.
  Author:
    Andreas Schwarte

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `protected BindingSet` | `bindings` |
    `protected int` | `currentIdx` |
    `protected CloseableIteration<BindingSet,​QueryEvaluationException>` | `iter` |
    `protected ArrayList<BindingSet>` | `result` |

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `IndependentJoingroupBindingsIteration​(CloseableIteration<BindingSet,​QueryEvaluationException> iter, BindingSet bindings)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `protected ArrayList<BindingSet>` | `computeResult()` |
    `protected BindingSet` | `getNextElement()` | Gets the next element.

    - ### Methods inherited from class org.eclipse.rdf4j.common.iteration.LookAheadIteration

      `handleClose, hasNext, next, remove`

    - ### Methods inherited from class org.eclipse.rdf4j.common.iteration.AbstractCloseableIteration

      `close, isClosed`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface org.eclipse.rdf4j.common.iteration.Iteration

      `stream`

- - ### Field Detail

    - #### bindings

          protected final BindingSet bindings

    - #### iter

          protected final CloseableIteration<BindingSet,​QueryEvaluationException> iter

    - #### result

          protected ArrayList<BindingSet> result

    - #### currentIdx

          protected int currentIdx

  - ### Constructor Detail

    - #### IndependentJoingroupBindingsIteration

          public IndependentJoingroupBindingsIteration​(CloseableIteration<BindingSet,​QueryEvaluationException> iter,
                                                       BindingSet bindings)

  - ### Method Detail

    - #### getNextElement

          protected BindingSet getNextElement()
                                       throws QueryEvaluationException

      Description copied from class: `LookAheadIteration`
      Gets the next element. Subclasses should implement this method so that it returns the next element.
      Specified by:
        `getNextElement` in class `LookAheadIteration<BindingSet,​QueryEvaluationException>`
      Returns:
        The next element, or null if no more elements are available.
      Throws:
        `QueryEvaluationException`

    - #### computeResult

          protected ArrayList<BindingSet> computeResult()
                                                 throws QueryEvaluationException

      Throws:
        `QueryEvaluationException`